<!DOCTYPE html>
<html lang="en">
<head>
  <th:block th:insert="~{fragments/client-header-head :: head}"></th:block>
  <title>Client</title>
</head>

<body>

<div class="container my-5">

  <a style="margin-bottom: 3%" class="btn btn-primary bi-gear" href="/client/client-parameters"></a>

  <form action="/client/upload" class="dropzone rounded border-primary dz-clickable" id="my-awesome-dropzone">
    <div class="dz-default dz-message">

      <i class="bi-cloud-upload-fill text-primary m-1" style="font-size: 2rem"></i>
      <button class="dz-button m-1" type="button" style="font-size: 2rem; color: black;">Ajouter des fichiers à classer</button>
    </div>
  </form>


</div>

</body>

<script>
  Dropzone.options.myAwesomeDropzone = {
    init: function () {
      this.on("complete", function () {
        if (this.getUploadingFiles().length === 0 && this.getQueuedFiles().length === 0) {
          console.log('🔵 accepted files = ' + this.getAcceptedFiles().length)
          console.log('🔵 rejected files = ' + this.getRejectedFiles().length)
          console.log('🔵 upload finished -> redirect to classification running page')
          window.location = '/client/client-classification-running'
        }
      });
    },
    createImageThumbnails: true,
    parallelUploads: 10,
    timeout: 60000
  }
</script>

</html>
